| OpenGLRaw-1.1.0.1: A raw binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.Raw.NV.GeometryProgram4

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Contents

Functions
Tokens

Description
All raw functions and tokens from the NV_geometry_program4 extension, see http://www.opengl.org/registry/specs/NV/geometry_program4.txt.
Synopsis

glProgramVertexLimit :: GLenum -> GLint -> IO ()
gl_GEOMETRY_PROGRAM :: GLenum
gl_MAX_PROGRAM_OUTPUT_VERTICES :: GLenum
gl_MAX_PROGRAM_TOTAL_OUTPUT_COMPONENTS :: GLenum
gl_GEOMETRY_VERTICES_OUT :: GLenum
gl_GEOMETRY_INPUT_TYPE :: GLenum
gl_GEOMETRY_OUTPUT_TYPE :: GLenum
gl_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS :: GLenum
gl_LINES_ADJACENCY :: GLenum
gl_LINE_STRIP_ADJACENCY :: GLenum
gl_TRIANGLES_ADJACENCY :: GLenum
gl_TRIANGLE_STRIP_ADJACENCY :: GLenum
gl_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS :: GLenum
gl_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT :: GLenum
gl_FRAMEBUFFER_ATTACHMENT_LAYERED :: GLenum
gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER :: GLenum
gl_PROGRAM_POINT_SIZE :: GLenum

Functions

glProgramVertexLimit :: GLenum -> GLint -> IO () | Source

Tokens

gl_GEOMETRY_PROGRAM :: GLenum | Source

gl_MAX_PROGRAM_OUTPUT_VERTICES :: GLenum | Source

gl_MAX_PROGRAM_TOTAL_OUTPUT_COMPONENTS :: GLenum | Source

gl_GEOMETRY_VERTICES_OUT :: GLenum | Source

gl_GEOMETRY_INPUT_TYPE :: GLenum | Source

gl_GEOMETRY_OUTPUT_TYPE :: GLenum | Source

gl_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS :: GLenum | Source

gl_LINES_ADJACENCY :: GLenum | Source

gl_LINE_STRIP_ADJACENCY :: GLenum | Source

gl_TRIANGLES_ADJACENCY :: GLenum | Source

gl_TRIANGLE_STRIP_ADJACENCY :: GLenum | Source

gl_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS :: GLenum | Source

gl_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT :: GLenum | Source

gl_FRAMEBUFFER_ATTACHMENT_LAYERED :: GLenum | Source

gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER :: GLenum | Source

gl_PROGRAM_POINT_SIZE :: GLenum | Source

Produced by Haddock version 2.4.2